
Foreman - Refactor #12494

Update fog to 1.36.0

11/16/2015 10:25 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Compute resources   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2916

  

Description

Tracker for updating to Fog 1.36.0.

Related issues:

Related to Foreman - Refactor #11729: Update fog to 2.0.0 New 09/08/2015

Related to Foreman - Bug #12512: net-ssh/scp dependencies are missing when Fo... Closed 11/17/2015

Related to Foreman - Bug #12523: Openstack doesn't work with fog 1.36 Closed 11/18/2015

Blocks DigitalOcean - Bug #11332: Version 1 of the API is deprecated and will... Closed 08/12/2015

Blocks Foreman - Bug #5483: Network label empty after cloning vware vm using ... Closed 04/29/2014

Associated revisions

Revision 6ea20453 - 11/17/2015 08:48 AM - Dominic Cleal

fixes #12494 - update fog to 1.36.0

fog-core has dropped direct net-ssh/scp dependencies, so require them

here for SSH provisioning to function at runtime.

Revision 970fc2d4 - 11/20/2015 09:08 AM - Dominic Cleal

refs #12494, #12512 - use fog 1.36, fog-core 1.34

History

#1 - 11/16/2015 10:25 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

#2 - 11/16/2015 10:26 AM - Dominic Cleal

- Related to Refactor #11729: Update fog to 2.0.0 added

#3 - 11/16/2015 10:48 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 11/16/2015 10:58 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2916 added

#5 - 11/16/2015 10:59 AM - Dominic Cleal

- Blocks Bug #11332: Version 1 of the API is deprecated and will be shutdown on November 1st 2015 added

#6 - 11/17/2015 09:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6ea204536abbc7b4efeca146638798a553101388.

#7 - 11/17/2015 09:02 AM - Dominic Cleal

- translation missing: en.field_release set to 104

Tentatively putting this on .1 to support #11332 with the DO update.

#8 - 11/17/2015 10:36 AM - Dominic Cleal

- translation missing: en.field_release changed from 104 to 71

Daniel's reported a regression in OpenStack, and I've spotted another in packaging, moving to the next major release for the meantime.

#9 - 11/17/2015 10:40 AM - Dominic Cleal

- Related to Bug #12512: net-ssh/scp dependencies are missing when Fog group not installed added

#10 - 11/19/2015 02:48 AM - Dominic Cleal

- Related to Bug #12523: Openstack doesn't work with fog 1.36 added

#11 - 12/07/2015 03:55 AM - Dominic Cleal

- Blocks Bug #5483: Network label empty after cloning vware vm using image and distributed switch for network added
